org.eclnt.jsfserver.util

## Class ListSorterOneAttribute<CLASS>

- java.lang.Object
- - org.eclnt.jsfserver.util.ListSorterOneAttribute<CLASS>

- Direct Known Subclasses:
    ListSorterOnePropertyByReflection

      public class ListSorterOneAttribute<CLASS>
      extends java.lang.Object

  Utility class for sorting a list of items. Each attribute is associated with a corresponding IGetValue implementation which resolved the value for an attribute of the list item.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ListSorterOneAttribute.IGetValue<CLASS>`
    `static class` | `ListSorterOneAttribute.SortException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListSorterOneAttribute(java.util.List<CLASS> list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGetter(java.lang.String attribute, ListSorterOneAttribute.IGetValue getter)`
    `boolean` | `checkIfSortedBy(java.lang.String attribute)`
    `java.util.List<CLASS>` | `getList()`
    `java.lang.String` | `getSortedBy()`
    `boolean` | `isCurrentSortDirectionAscending()`
    `protected void` | `processSort()`
    `void` | `sortBy(java.lang.String attribute)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSorterOneAttribute

          public ListSorterOneAttribute(java.util.List<CLASS> list)

  - ### Method Detail

    - #### getList

          public java.util.List<CLASS> getList()

    - #### addGetter

          public void addGetter(java.lang.String attribute,
                                ListSorterOneAttribute.IGetValue getter)

    - #### sortBy

          public void sortBy(java.lang.String attribute)
                      throws ListSorterOneAttribute.SortException

      Throws:
        `ListSorterOneAttribute.SortException`

    - #### getSortedBy

          public java.lang.String getSortedBy()

    - #### checkIfSortedBy

          public boolean checkIfSortedBy(java.lang.String attribute)

    - #### isCurrentSortDirectionAscending

          public boolean isCurrentSortDirectionAscending()

    - #### processSort

          protected void processSort()
                              throws ListSorterOneAttribute.SortException

      Throws:
        `ListSorterOneAttribute.SortException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.